This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 533043 - (CVE-2009-3302) CVE-2009-3302 OpenOffice.org Word sprmTSetBrc Memory Corruption
CVE-2009-3302 OpenOffice.org Word sprmTSetBrc Memory Corruption
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=important,source=upstream,repo...
: Security
Depends On: 529747 529748 529749 529750 529751 529752 529753
Blocks:
  Show dependency treegraph
 
Reported: 2009-11-04 14:14 EST by Josh Bressers
Modified: 2010-03-29 06:05 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-29 06:05:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
fix (combined with that of CVE-2009-3301) (2.00 KB, patch)
2009-11-26 10:26 EST, Caolan McNamara
no flags Details | Diff

  None (edit)
Description Josh Bressers 2009-11-04 14:14:06 EST
A boundary error flaw, possibly leading to a heap-based
buffer overflow, was found in the way OpenOffice.org parsed
certain records in Microsoft Word documents. An attacker could
create a specially-crafted Microsoft Word document, which once
opened by a local, unsuspecting user, could cause OpenOffice.org
to crash or, potentially, execute arbitrary code with the
permissions of the user running OpenOffice.org.

Credit: Nicolas Joly of VUPEN Vulnerability Research Team
Comment 3 Vincent Danen 2009-11-10 11:58:28 EST
This issue has been assigned CVE-2009-3302
Comment 4 Caolan McNamara 2009-11-26 10:26:51 EST
Created attachment 374027 [details]
fix (combined with that of CVE-2009-3301)
Comment 6 Jan Lieskovsky 2010-02-12 08:40:19 EST
Public now via:
  http://www.openoffice.org/security/bulletin.html
Comment 8 errata-xmlrpc 2010-02-12 11:22:45 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 3
  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 5

Via RHSA-2010:0101 https://rhn.redhat.com/errata/RHSA-2010-0101.html
Comment 9 Fedora Update System 2010-02-13 06:56:40 EST
openoffice.org-3.1.1-19.12.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/openoffice.org-3.1.1-19.12.fc11
Comment 10 Fedora Update System 2010-02-13 06:59:43 EST
openoffice.org-3.1.1-19.26.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/openoffice.org-3.1.1-19.26.fc12
Comment 11 Fedora Update System 2010-02-16 08:02:12 EST
openoffice.org-3.1.1-19.26.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2010-02-16 08:23:59 EST
openoffice.org-3.1.1-19.12.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.